> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get beneficiary currencies (V2)

> Get the distinct currencies of the existing beneficiaries of a given client.
Registered before /v2/beneficiaries/{beneficiary_id} so the static currencies segment is not captured as a beneficiary_id.



## OpenAPI

````yaml https://api.ebury.io/openapi.json get /v2/beneficiaries/currencies
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /v2/beneficiaries/currencies:
    parameters:
      - $ref: '#/components/parameters/ClientId'
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Beneficiaries V2
      summary: Get beneficiary currencies (V2)
      description: >-
        Get the distinct currencies of the existing beneficiaries of a given
        client.

        Registered before /v2/beneficiaries/{beneficiary_id} so the static
        currencies segment is not captured as a beneficiary_id.
      operationId: beneficiary_currencies_v2_get
      responses:
        '200':
          $ref: '#/components/responses/BeneficiaryV2Currencies'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/ClientNotFound'
        '500':
          $ref: '#/components/responses/IntegrationError'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  responses:
    BeneficiaryV2Currencies:
      description: Will successfully list the currencies of the client's beneficiaries.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BeneficiaryV2Currencies'
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    ClientNotFound:
      description: Client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
  schemas:
    BeneficiaryV2Currencies:
      description: The distinct currencies of the client's beneficiaries.
      properties:
        currencies:
          items:
            description: The ISO 4217 code of the currency.
            example: EUR
            type: string
          type: array
      required:
        - currencies
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object

````